View Issue Details

IDProjectCategoryView StatusLast Update
0001687Ham Radio DeluxeBugpublic2017-05-24 22:23
Reporteruser36 
Assigned ToW4PC 
PrioritynormalSeveritycrashReproducibilitysometimes
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.3.0.448 
Summary0001687: DM-780 crashes when connecting to Flex 6500 via SmartSDR
DescriptionWhen running SmartSDR, Rig Control connects and responds properly. However, opening the config dialog on DM-780's radio panel causes to lock and will not time out

Radio Panel in Logbook works fine.

With Dem-O-Matic Rig connected, Radio Panel in DM-780 works fine.
Steps To Reproduce- Launch SmartSDR
- Launch HRD, DM-780
- Verify proper operation of Rig Control with SmartSDR
- Switch to DM-780
- Open Radio Pane
- Select Configure button
- Attempt to Connect or change the radio configuration by hitting Save
- Observe DM-780 locks up
Additional InformationCustomer willing to assist by running debug build.

Mickey Baker N4MB (954) 765-6570
TagsNo tags attached.
ModuleDM780
Sub-ModuleRadio Support
Testing

Relationships

Activities

user36

2014-09-02 18:08

  ~0000548

Rick,

Can you look at this one too please. I believe it has been fixed.

Thanks.

W4PC

2014-09-02 18:47

updater   ~0000549

it has with the new code. and using mini deluxe

user47

2015-10-06 07:49

  ~0000634

429

Issue History

Date Modified Username Field Change
2014-08-08 16:41 user36 New Issue
2014-09-02 18:07 user36 Project @5@ => 3 - Current Dev List
2014-09-02 18:08 user36 Assigned To => W4PC
2014-09-02 18:08 user36 Status new => assigned
2014-09-02 18:08 user36 Note Added: 0000548
2014-09-02 18:47 W4PC Note Added: 0000549
2014-09-02 18:47 W4PC Fix Build TBD => 292
2014-09-02 18:47 W4PC Status assigned => resolved
2014-09-02 18:47 W4PC Resolution open => fixed
2015-09-17 13:34 WA9PIE Category DM-780 => (No Category)
2015-09-17 13:35 WA9PIE Category (No Category) => Bug
2015-09-22 23:32 WA9PIE Fix Build 292 => (select)
2015-09-22 23:32 WA9PIE Report Build 6.2.5.281 => (select)
2015-09-22 23:32 WA9PIE Proposed Release => TBD
2015-09-22 23:32 WA9PIE Summary Bug: DM-780 crashes when connecting to Flex 6500 via SmartSDR => DM-780 crashes when connecting to Flex 6500 via SmartSDR
2015-10-06 07:49 user47 Proposed Release TBD => 6.3
2015-10-06 07:49 user47 Note Added: 0000634
2015-10-06 07:49 user47 Status resolved => closed
2015-10-15 00:04 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-05-24 22:23 WA9PIE Fixed in Version => 6.3.0.448